Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!

10.6: Fixing GrowlMail for Mail 4.3 Apps
Snow Leopard only hintThe 10.6.4 update broke GrowlMail by updating Apple Mail 4.3 UUIDs. A little web searching uncovered this page, and a little further searching in the Mail.app and GrowlMail .plist files uncovered the new numbers, and where to change them. If you can't wait for an official Growl update, you can get GrowlMail working again in a few minutes with the following steps.

Quit Mail and reinstall GrowlMail. This will make sure that GrowlMail is where it should be because when Mail 4.3 starts it moves GrowlMail to the 'disabled' bundles folder. You can move it manually but it's easy enough to reinstall. Here's the GrowlMail download link.

Run these two commands in Terminal:
defaults write ~/Library/Mail/Bundles/GrowlMail.mailbundle/Contents/Info SupportedPluginCompatibilityUUIDs -array-add "B842F7D0-4D81-4DDF-A672-129CA5B32D57"

defaults write ~/Library/Mail/Bundles/GrowlMail.mailbundle/Contents/Info SupportedPluginCompatibilityUUIDs -array-add "E71BD599-351A-42C5-9B63-EA5C47F7CE8E"
You can open Mail again and all should be well.

[crarko adds: I haven't tested this one.]
    •    
  • Currently 3.03 / 5
  You rated: 2 / 5 (39 votes cast)
 
[15,348 views]  

10.6: Fixing GrowlMail for Mail 4.3 | 15 comments | Create New Account
Click here to return to the '10.6: Fixing GrowlMail for Mail 4.3' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
10.6: Fixing GrowlMail for Mail 4.3
Authored by: vasiliki on Jun 21, '10 08:03:35AM
I based this fix on the above referenced page that offered a solution to the last time GrowlMail broke. That author, Paul Kehrer, has now posted a patched bundle for this last break too.

[ Reply to This | # ]
10.6: Fixing GrowlMail for Mail 4.3
Authored by: slswift on Jun 21, '10 08:41:35AM

Oddly, the terminal commands did not fix the problem for me, even after putting the bundle back where it belonged. Although they appear to have worked for others.

But downloading the new patched bundle did work.

http://cdn.langui.sh/2010/06/GrowlMail.mailbundle.zip



[ Reply to This | # ]
10.6: Fixing GrowlMail for Mail 4.3
Authored by: Quatch on Jun 21, '10 09:42:14AM

Likewise, following the instructions did not solve it, even after I quit mail in both active profiles.

Downloading the prepatched one did work.

In addition, although growlmail was not in my local library, but in the global one, it was moved to the local disabled bundles folder.



[ Reply to This | # ]
10.6: Fixing GrowlMail for Mail 4.3
Authored by: Nem on Jun 21, '10 09:21:58AM
You can also easily Fix DockStar and ASPBundle (the "I mentioned the word 'attach' but didn't attach anything" bundle) in the same way. Use the same UUID codes, but change the path to the different bundles.

Not sure if this is supposed to work or not, but it appears to be working for me.

defaults write ~/Library/Mail/Bundles/DockStar.mailbundle/Contents/Info SupportedPluginCompatibilityUUIDs \
  -array-add "B842F7D0-4D81-4DDF-A672-129CA5B32D57"
defaults write ~/Library/Mail/Bundles/DockStar.mailbundle/Contents/Info SupportedPluginCompatibilityUUIDs \
  -array-add "E71BD599-351A-42C5-9B63-EA5C47F7CE8E"
defaults write ~/Library/Mail/Bundles/ASPBundle.mailbundle/Contents/Info SupportedPluginCompatibilityUUIDs \
  -array-add "B842F7D0-4D81-4DDF-A672-129CA5B32D57"
defaults write ~/Library/Mail/Bundles/ASPBundle.mailbundle/Contents/Info SupportedPluginCompatibilityUUIDs \
  -array-add "E71BD599-351A-42C5-9B63-EA5C47F7CE8E"
---
Nem W. Schlecht
http://geekmuse.net/


[ Reply to This | # ]
10.6: Fixing GrowlMail for Mail 4.3
Authored by: DeltaTee on Jun 22, '10 05:14:25PM
FYI, the current beta of the Attachment Scanner Plugin has been updated to work with Mail 4.3.

[ Reply to This | # ]
10.6: Fixing GrowlMail for Mail 4.3
Authored by: maddys_daddy on Jun 26, '10 11:25:30AM

Awesome, thanks! You got my DockStar working again!



[ Reply to This | # ]
10.6: Fixing GrowlMail for Mail 4.3
Authored by: stephen.m on Jun 22, '10 06:53:16AM

Downloaded and reinstalled GrowlMail as described. Didn't work. Downloaded and installed the alternate GrowlMail package; ran the Terminal commands. Didn't work.

10.6.4; 4.3



[ Reply to This | # ]
10.6: Fixing GrowlMail for Mail 4.3
Authored by: stephen.m on Jun 22, '10 04:55:52PM

Not sure what I did, but it seems to be working now. So thanks for helping me get back GrowlMail.



[ Reply to This | # ]
10.6: Fixing GrowlMail for Mail 4.3
Authored by: vasiliki on Jun 22, '10 10:20:23PM

Glad it worked in the end.



[ Reply to This | # ]
uh...
Authored by: AMacAddict on Jun 25, '10 08:51:57AM
The domain "growl.info" has expired. If you are the owner, please login to your domain manager at ... for more details. Thatís not a good sign... -- crarko: closed italic
Edited on Jun 26, '10 10:39:42AM by crarko


[ Reply to This | # ]
10.6: Fixing GrowlMail for Mail 4.3
Authored by: sean.peters on Jun 26, '10 06:54:24AM

Very frustrating - the instructions are not working for me. Also the growl site seems to have let their domain registration expire, so here I am with no growl mail. Arrgh.



[ Reply to This | # ]
New version of Growlmail online
Authored by: vasiliki on Jul 07, '10 07:47:03AM

Good news to the subset of you who couldn't get growlmail to work with this workaround - there is a new version up on growl.info and their website is fine. Thanks growl developers!



[ Reply to This | # ]
Fix for 10.6.5
Authored by: robg on Nov 10, '10 05:26:34PM
I tried this in 10.6.5 (after looking up the UUIDs as shown in the linked page above):

$ defaults write ~/Library/Mail/Bundles/GrowlMail.mailbundle/Contents/Info Suppor tedPluginCompatibilityUUIDs -array-add "BDD81F4D-6881-4A8D-94A7-E67410089EEB"

$ defaults write ~/Library/Mail/Bundles/GrowlMail.mailbundle/Contents/Info Suppor tedPluginCompatibilityUUIDs -array-add "857A142A-AB81-4D99-BECC-D1B55A86D94E"


The plug-in no longer unloads on Mail launch, but I'm not getting Growl alerts yet. Oh well; time to wait for the Growl devs...

-rob.

[ Reply to This | # ]
Fix for 10.6.5
Authored by: crarko on Nov 11, '10 06:59:44AM

There's a new hint coming out this morning that has a workaround that seems to get things going again in 10.6.5.

http://hints.macworld.com/article.php?story=20100823103751355

It will be up shortly.



[ Reply to This | # ]
10.6: Fixing GrowlMail for Mail 4.3
Authored by: Nem on Mar 24, '11 08:12:37AM
Just wanted to update this for anybody looking for the same info for 10.6.7.

Here are the 'defaults' commands to update any Bundles to work with Mail in 10.6.7. Some plugins may not work correctly (but all 4 of mine do). Replace "BUNDLE" with the bundle directory name (like "MailGrowl.mailbundle") and run both of these.

defaults write ~/Library/Mail/Bundles/BUNDLE/Contents/Info \
SupportedPluginCompatibilityUUIDs \
-array-add "1C58722D-AFBD-464E-81BB-0E05C108BE06"

defaults write ~/Library/Mail/Bundles/BUNDLE/Contents/Info \
SupportedPluginCompatibilityUUIDs \
-array-add "9049EF7D-5873-4F54-A447-51D722009310"

---
Nem W. Schlecht
http://geekmuse.net/


[ Reply to This | # ]